Get source maps

Base URL
https://{kibana_url}
  • GET /api/apm/sourcemaps
Auth

Get an array of Fleet artifacts, including source map uploads. You must have read or all Kibana privileges for the APM and User Experience feature.

Query parameters

page number

Page number

perPage number

Number of records per page

Header parameters

elastic-api-version enum · default: 2023-10-31 required

The version of the API to use

Values: 2023-10-31

Responses

Successful response

application/json
artifacts object[]

Artifacts

body object
bundleFilepath string
serviceName string
serviceVersion string
sourceMap object
file string
mappings string
sourceRoot string
sources string[]
sourcesContent string[]
version number
compressionAlgorithm string

Compression Algorithm

created string

Created date

decodedSha256 string

Decoded SHA-256

decodedSize number

Decoded size

encodedSha256 string

Encoded SHA-256

encodedSize number

Encoded size

encryptionAlgorithm string

Encryption Algorithm

id string

Identifier

identifier string

Identifier

packageName string

Package name

relative_url string

Relative URL

type string

Type

Bad Request response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Unauthorized response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Internal Server Error response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Not Implemented response

application/json
error string

Error type

message string

Error message

statusCode number

Error status code

Base URL
https://{kibana_url}